Name:           python-pbr
Version:        4.1.1
Release:        3
Summary:        Python Build Reasonableness
License:        ASL 2.0
URL:            http://pypi.python.org/pypi/pbr
Source0:        https://pypi.io/packages/source/p/pbr/pbr-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-sphinx >= 1.1.3

%description
PBR is a library that injects some useful and sensible default behaviors into
your setuptools run. It started off life as the chunks of code that were copied
between all of the OpenStack projects. Around the time that OpenStack hit 18
different projects each with at least 3 active branches, it seems like a good
time to make that code into a proper re-usable library.

%package -n python2-pbr
Summary:        Python Build Reasonableness
%{?python_provide:%python_provide python2-pbr}

BuildRequires:  python2-devel python2-setuptools
BuildRequires:  python2-coverage python2-mock
BuildRequires:  python2-testscenarios git gnupg2
Requires:       python2-setuptools


%description -n python2-pbr
Manage dynamic plugins for Python applications


%package -n python3-pbr
Summary:        Python Build Reasonableness
%{?python_provide:%python_provide python3-pbr}

BuildRequires:  python3-devel python3-setuptools
Requires:       python3-setuptools

%description -n python3-pbr
Manage dynamic plugins for Python applications

%prep
%autosetup -n pbr-%{version} -p1

rm -rf {test-,}requirements.txt pbr.egg-info/requires.txt


%build
export SKIP_PIP_INSTALL=1
%py2_build
%py3_build

sphinx-build doc/source html
rm -rf html/.{doctrees,buildinfo}


%install
%py3_install
mv %{buildroot}%{_bindir}/pbr %{buildroot}%{_bindir}/pbr-3

%py2_install

%files -n python2-pbr
%doc LICENSE html README.rst
%{_bindir}/pbr
%{python2_sitelib}/*.egg-info
%{python2_sitelib}/pbr
%exclude %{python2_sitelib}/pbr/tests

%files -n python3-pbr
%doc LICENSE html README.rst
%{_bindir}/pbr-3
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/pbr
%exclude %{python3_sitelib}/pbr/tests

%changelog
* Fri Feb 21 2020 Wanjiankang <wanjiankang@huawei.com> - 4.1.1-3
- Modify BuildRequires.

* Fri Nov 22 2019 Wanjiankang <wanjiankang@huawei.com> - 4.1.1-2
- Initial package.
